function receive_frame = serial_read(PortName, Baudrate, DestinationID, ...
    DesMemoryAddress, DataLength)
%
%  byte[] Read_Frame = [ DestinationID, SourceID, CMD,
%             DestinationMemoryType, DesMemAddress_Lower,
%             DesMemAddress_Higher, SourceMemType, SouMemAddress_Lower, 
%             SouMemAddress_Higher, DataLength, CRC_Higher, CRC_Lower];
%

CMD = 0;             % Frame type (1==write, 0==read)
DesMemoryType = 0;   % PAC memory type (1==EEprom, 0==RAM)
SourceID = 61;       % Not important
SouMemType = 0;      % Not important
SouMemAdd_Low = 100; % Not important
SouMemAdd_High = 0;  % Not important
DesMemAdd_Byte = typecast(uint16(DesMemoryAddress), 'uint8');

Read_Frame = [DestinationID, SourceID, CMD, DesMemoryType, ...
    double(DesMemAdd_Byte(1)), double(DesMemAdd_Byte(2)), ...
    SouMemType, SouMemAdd_Low, SouMemAdd_High, DataLength];

CRC = CRC16_Ram(Read_Frame);
CRC_Byte = typecast(uint16(CRC), 'uint8');

Read_Frame = [DestinationID, SourceID, CMD, DesMemoryType, ...
    double(DesMemAdd_Byte(1)), double(DesMemAdd_Byte(2)), ...
    SouMemType, SouMemAdd_Low, SouMemAdd_High, DataLength, ...
    CRC_Byte(2), CRC_Byte(1)];

sp = serial(PortName);
sp.BaudRate = Baudrate;
fopen(sp);
fwrite(sp, Read_Frame);
pause(.5)
receive_frame = fread(sp, DataLength + 7);
fclose(sp);