function acknowledge_frame = serial_write(PortName, Baudrate, DestinationID, ...
    DesMemoryAddress, Data)
%
% byte[] Write_Frame = [ DestinationID, SourceID, CMD,
%             DestinationMemoryType, DesMemAddress_Lower,
%             DesMemAddress_Higher, DataLength, Data[0],Data[1],...,
%             CRC_Higher, CRC_Lower];
%

CMD = 1;             % Frame type (1==write, 0==read)
DesMemoryType = 0;   % PAC memory type (1==EEprom, 0==RAM)
SourceID = 1;        % Not important

DesMemAdd_Byte = typecast(uint16(DesMemoryAddress), 'uint8');

Write_Frame = [DestinationID, SourceID, CMD, DesMemoryType, ...
    double(DesMemAdd_Byte(1)), double(DesMemAdd_Byte(2)), length(Data), Data];

CRC = CRC16_Ram(Write_Frame)
CRC_Byte = typecast(uint16(CRC), 'uint8')

Write_Frame = [DestinationID, SourceID, CMD, DesMemoryType, ...
    DesMemAdd_Byte(1), DesMemAdd_Byte(2), length(Data), Data, ...
    CRC_Byte(2), CRC_Byte(1)];

sp = serial(PortName);
sp.BaudRate = Baudrate;
fopen(sp);
fwrite(sp, Write_Frame);
pause(.5)
acknowledge_frame = fread(sp, 2);
fclose(sp);
